Batch upsert contacts
POST
/api/v1/contacts/batch
const url = 'https://renotify.app/api/v1/contacts/batch';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"contacts":[{"name":"Jane Doe","phone":"+15551234567"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://renotify.app/api/v1/contacts/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "contacts": [ { "name": "Jane Doe", "phone": "+15551234567" } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
contacts
required
The contacts to create or update.
Array<string>
Example
[ { "name": "Jane Doe", "phone": "+15551234567" }]